import click

import influxframework


def execute():
	influxframework.delete_doc_if_exists("DocType", "Chat Message")
	influxframework.delete_doc_if_exists("DocType", "Chat Message Attachment")
	influxframework.delete_doc_if_exists("DocType", "Chat Profile")
	influxframework.delete_doc_if_exists("DocType", "Chat Token")
	influxframework.delete_doc_if_exists("DocType", "Chat Room User")
	influxframework.delete_doc_if_exists("DocType", "Chat Room")
	influxframework.delete_doc_if_exists("Module Def", "Chat")

	click.secho(
		"Chat Module is moved to a separate app and is removed from InfluxFramework in version-13.\n"
		"Please install the app to continue using the chat feature: https://github.com/influxframework/chat",
		fg="yellow",
	)
